Topic
1 reply Latest Post - ‏2012-01-06T13:39:00Z by evantanski
bharati15
bharati15
1 Post
ACCEPTED ANSWER

Pinned topic jboss5 ear deploy error

‏2011-11-07T07:13:22Z |
Hi, I am deploying an ear on jboss5 and getting below error. If anyone is having any solution to resolve this, please let me know.

java.lang.RuntimeException: Specification violation http://EJB3 JPA 6.2.1.2 - You have not defined a non-jta-data-source for a RESOURCE_LOCAL enabled persistence context named: GSPersistenceUnit
at org.jboss.jpa.deployment.PersistenceUnitInfoImpl.<init>(PersistenceUnitInfoImpl.java:124)
at org.jboss.jpa.deployment.PersistenceUnitDeployment.start(PersistenceUnitDeployment.java:275)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
Updated on 2012-01-06T13:39:00Z at 2012-01-06T13:39:00Z by evantanski
  • evantanski
    evantanski
    6 Posts
    ACCEPTED ANSWER

    Re: jboss5 ear deploy error

    ‏2012-01-06T13:39:00Z  in response to bharati15
    Why you're using this very dusty jboss_2_4.dtd .Since you're using JBoss AS 5.1, I'd recommend using the moderner jboss_5_1.xsd schema instead.